Bug 140387 - Orca no longer reads many options on the sidebar in Linux
Summary: Orca no longer reads many options on the sidebar in Linux
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords:
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2021-02-13 10:15 UTC by am_dxer
Modified: 2021-02-19 19:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2021-02-13 10:15:36 UTC
Description:
After putting Orca's focus over one of the options in the sidebar such as paragraph and pressing "tab" Orca says "psh button" and then nothing else as ou tab. I was not able to reprduce this on Windows as NVDA is able to read the items in the sidebar.

Steps to Reproduce:
1. Press (shift+f6) from the document area to land on the sidebar.
2. Use arrow keys to navigate to paragraph.
3. Press (tab) Orca says "push button" and nothing else.
I assume that tab and arrow keys are moving through the sidebar but I have no idea because I am totally blind and Orca is saying nothing.

Actual Results:
Orca doesn't speak anything.

Expected Results:
Orca should speak the focused item.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 4a9d257bec7964c0b611b2d422b7842fc5ee38e0
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-02-11_15:33:05
Calc: threaded
Comment 1 am_dxer 2021-02-14 07:22:33 UTC
bisected linux-64-7.0

# bad: [0dd93faddf5ebc23332cb699814d7a3b9a044356] source sha:36038264400f591a529a18f0b742410e53db73d3
# good: [d67926cda658cfe40d35f9f0f203c3407f3700c9] source sha:9bc848cf0d301aa57eabcffa101a1cf87bad6470
git bisect start 'origin/master' 'oldest'
# bad: [4f4c73db381ced73870d015d1cecba61164cd3b1] source sha:0866589692568083fea3e013be3c13629fb6bcc4
git bisect bad 4f4c73db381ced73870d015d1cecba61164cd3b1
# good: [73fc931d7e930326022e0683550fb1ca27ff15f8] source sha:4f6d95ead1286748810e937c7672de08b8b39a38
git bisect good 73fc931d7e930326022e0683550fb1ca27ff15f8
# bad: [54b12a8399710e5638f4d42a29c760d5b5b496b0] source sha:e49cd2c253fe1d292ae3f9212a805cdace77b174
git bisect bad 54b12a8399710e5638f4d42a29c760d5b5b496b0
# bad: [1417ffc0b0592827fd3bafa44eba289a7806361b] source sha:db8fdf20fbbb22e0510f0500140bbf7a3b2642f7
git bisect bad 1417ffc0b0592827fd3bafa44eba289a7806361b
# bad: [2988ad25f9240061634434cc7b5c44e9798261e5] source sha:776797b6a46fa545a661cc81f51a2be555ecd7fe
git bisect bad 2988ad25f9240061634434cc7b5c44e9798261e5
# bad: [8c2cacd5bb1cff5c24122087d037011d0e4afd9a] source sha:b711f56b612c408560d2743bca0f01a9109f416f
git bisect bad 8c2cacd5bb1cff5c24122087d037011d0e4afd9a
# good: [868290339a02ad98512e7087b163b4b221ac6348] source sha:88b88db488396258c0cfe1614e4b540eeb988ecd
git bisect good 868290339a02ad98512e7087b163b4b221ac6348
# bad: [d99089aefe48687c8cbf212916dbff93667117bd] source sha:0663d86a84199d1f5f303cf300cd64403302dbe5
git bisect bad d99089aefe48687c8cbf212916dbff93667117bd
# bad: [0dbf7502b31f076b6f6764e9fcd1285bcd311dec] source sha:17747ef473d71dc3aa62242f4ddb5a94aa0da983
git bisect bad 0dbf7502b31f076b6f6764e9fcd1285bcd311dec
# bad: [cec85967098b50a93965bd495431df21a45099a7] source sha:9c0065dd4127b852281a175e523b176730dea417
git bisect bad cec85967098b50a93965bd495431df21a45099a7
# bad: [9818f7ea9094a56b3f546e5de69c83fd8a8f3237] source sha:006f4caf543d6d6ce5f069b2af8c2ba982dcfb62
git bisect bad 9818f7ea9094a56b3f546e5de69c83fd8a8f3237
# good: [2c9fffead5db629835433971d5cd4bd04d0bd40d] source sha:16bf838ef479b8db371dbe97335e035e2e22f6ce
git bisect good 2c9fffead5db629835433971d5cd4bd04d0bd40d
# good: [2d1fdf20317931f5793cc8423fd0e1c99645e149] source sha:1f1de88b3acb388082f689229d487956bd5050b0
git bisect good 2d1fdf20317931f5793cc8423fd0e1c99645e149
# first bad commit: [9818f7ea9094a56b3f546e5de69c83fd8a8f3237] source sha:006f4caf543d6d6ce5f069b2af8c2ba982dcfb62
Comment 2 am_dxer 2021-02-14 07:49:11 UTC
commit 006f4caf543d6d6ce5f069b2af8c2ba982dcfb62
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Jan 7 14:08:57 2020 +0000

    weld ParaPropertyPanel
Comment 3 am_dxer 2021-02-14 12:07:38 UTC
@Caolán: I feel bad in always pointing you out in these accessibility regressions. I really appreciate the work you have done for us in the past in keeping LO working with Orca and you providing fixes to past bugs.
Comment 4 Commit Notification 2021-02-15 16:24:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f80334f1d4fe0d486f858776687c1180077a5fa

Related: tdf#140387 give toolbuttons a11y names

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2021-02-15 20:20:48 UTC
Currently the sidebar is mixed vcl+gtk widgets and the focus is getting sent to the wrong place so the focus isn't in the right place rather than orca unable to screen read in panels. During this intermediate period I think the safest fix is to explicitly grab focus to the widget which should have gotten it and that can drop away later when the panels are fully gtk.
Comment 6 Commit Notification 2021-02-16 09:08:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e8ffe26c0621e5eaa94bab5d24651e9abd4ea178

tdf#140387 grab focus to first panel widget on panel gaining focus

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 am_dxer 2021-02-16 11:50:54 UTC
Thanks for working on this. I will try one of the daily builds today to see if it is working now with keyboard focus and orca.
Comment 8 Commit Notification 2021-02-17 10:00:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/97a1d170b5f45c6cf9fc2c56dc4526d0e3f8423a

tdf#140387 grab focus to first panel widget on panel gaining focus

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2021-02-19 19:52:03 UTC
seems to work, could be better and hopefully will be once the sidebars are no longer a mix of two types of widgets